# `taurus.qt.qtgui.base`

This package provides the set of base classes from which the Qt taurus widgets should inherit to be considered valid taurus widgets.

Classes

class TaurusAttributeControllerHelper

  (more info)

class TaurusBaseComponent(name='', parent=None, designMode=False, **kwargs)

  A generic Taurus component.

  Note

  Any class which inherits from TaurusBaseComponent is expected to also inherit from QObject (or from a QObject derived class).

  Note

  `getSignaller()` is now unused and deprecated. This is because taurusEvent is implemented using `baseSignal()`, that doesn’t require the class to inherit from QObject.

  (more info)

class TaurusBaseController(widget, updateAsPalette=True)

  Base class for all taurus controllers

  (more info)

class TaurusBaseWidget(name='', parent=None, designMode=False, **kwargs)

  The base class for all Qt Taurus widgets.

  Note

  Any class which inherits from TaurusBaseWidget is expected to also inherit from QWidget (or from a QWidget derived class)

  (more info)

class TaurusBaseWritableWidget(name='', taurus_parent=None, designMode=False, **kwargs)

  The base class for all taurus input widgets

  it emits the applied signal when the value has been applied.

  (more info)

class TaurusBgRoleSubscriber(parent)

  (more info)

class TaurusConfigurationControllerHelper

  (more info)

class TaurusScalarAttributeControllerHelper

  (more info)

Functions

defaultFormatter(dtype=None, basecomponent=None, **kwargs)

  Default formatter callable. Returns a format string based on dtype and the mapping provided by `TaurusBaseComponent.defaultFormatDict`

  Parameters:

    - dtype (object) – data type

    - basecomponent (object) – widget whose display is to be formatted

    - kwargs – other keyword arguments (ignored)

  Returns:

    The format string corresponding to the given dtype.

  Return type:

    str

updateLabelBackground(ctrl, widget)

  Helper method to setup background of taurus labels and lcds

Variables

expFormatter

floatFormatter

MLIST